12 Replies Latest reply: Nov 7, 2010 10:01 PM by Orieus
Orieus Level 1 Level 1 (0 points)
hi, i have an ipod of version 2.2.1 why is it that i can't upgrade it to a later version? being a 3 or 4? can someone help?

Windows Vista